export interface Student extends StudentDto {
    ref: any;
    id: string;
}

export interface StudentDto {
    group: string;
    gymId: string;
    firstname: string;
    lastname: string;
    email: string;
    hide?: boolean;
}

export interface ItemDto {
    type: string;
    start?: string;
    end?: string;
    price: number;
    comment: string;
}

export interface InvoiceCreationDto {
    gymId: string;
    studentId: string;
}

export interface Invoice extends InvoiceDto {
    ref: any;
    id: string;
}

export interface InvoiceDto extends InvoiceCreationDto {
    invoiceId: number;
    account: string;
    items: ItemDto[];
    isPaid: boolean;
}

export interface InvoiceMailDto {
    gymId: string;
    type: 'INVOICE' | 'CONFIRMATION',
    invoiceId: number,
    studentId: string
}

export interface ContactMailDto {
    name: string;
    email: string;
    comment: string
}

export interface Gym extends GymDto {
    id: string;
}

export interface GymDto {
    owners: string[];
    name: string;
    logoSrc: string;
    website: string;
    email: string,
    items: {
        key: string;
        label: string;
    }[]
    accounts: {
        label: string;
        account: AccountDto;
    }[]
}

export interface AccountDto {
    name: string;
    address: string;
    buildingNumber: string;
    zip: string;
    city: string;
    account: string;
    country: string;
}
