const formatDates = (start, end) => {
    const startDate = new Date(start);
    const endDate = new Date(end);
    return `${startDate.getDate()}.${startDate.getMonth() + 1}.${startDate.getFullYear()} - ${endDate.getDate()}.${endDate.getMonth() + 1}.${endDate.getFullYear()}`
}

const formatPrice = (price) => {
    return new Intl.NumberFormat('de-CH', {
        style: 'currency',
        currency: 'CHF',
        minimumFractionDigits: 2,
        maximumFractionDigits: 2
    }).format(price)
}

module.exports = {
    formatDates,
    formatPrice
}
